<ion-header>
    <ion-toolbar>
        <ion-title>Moje zkoušky</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid>
        <div [hidden]=upozorneni>
            <ion-row>
                <ion-col class="radek">Nebyly nalezeny žádné zkouškové termíny.</ion-col>
            </ion-row>
        </div>
        <ion-list *ngFor="let predmet of (zobraz)">
            <ion-item color="danger" class="nadpis"> {{predmet[0]}}</ion-item>
            <ion-list *ngFor="let termin of predmet[1]">
                <ion-row>
                    <ion-col><b>{{termin.datum}}  {{termin.casOd}} - {{termin.casDo}}</b></ion-col>
                </ion-row>
                <br />
                <ion-row>
                    <ion-col size="8">Obsazenost: {{termin.obsazeni}}/{{termin.limit}} </ion-col>
                    <ion-col>
                        <div [hidden]="termin.schovatZapsat"><button (click)="klikZapsat(termin.termIdno)">Zapsat</button></div>
                        <div [hidden]="termin.schovatOdepsat"><button (click)="klikOdepsat(termin.termIdno)">Odepsat</button></div>
                        {{termin.textDuvoduProcNelzeZapsatOdepsat}}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col ion-col size="8">
                        Místnost: {{termin.budova}} - {{termin.mistnost}}
                    </ion-col>
                </ion-row>
                <br />
                <ion-row>
                    <ion-col>
                        Deadline zapsaní na termín: {{termin.deadlineDatumPrihlaseni}}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>
                        Deadline odepsaní termínu: {{termin.deadlineDatumOdhlaseni}}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>
                        Opravný termín: {{termin.opravny}}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>
                        Poznámka: {{termin.poznamka}}
                    </ion-col>
                </ion-row>
                <div class="radek"></div>
            </ion-list>
        </ion-list>
    </ion-grid>
</ion-content>
<app-menu></app-menu>